petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetMatType

Gets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetMatType(DM dm,MatType *ctype)

Logically Collective on DM

### Input Parameter

dm - the DM context

### Output Parameter

ctype - the matrix type

### Options Database

-dm_mat_type ctype-

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMSetMatType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages